# SPEC and source package imported from Fedora/Mageia:
# http://mirror.kolabsys.com/pub/fedora/apt-utils/f16/SRPMS/

Name:           debhelper
Version:        9.20160814
Release:        %mkrel 1
Summary:        Helper programs for Debian rules
Group:          System/Packaging
License:        GPLv2+
URL:            https://packages.debian.org/sid/debhelper
Source0:        http://ftp.de.debian.org/debian/pool/main/d/%{name}/%{name}_%{version}.tar.xz
Patch0:         debhelper-7.4.20-no-utf8-to-pod2man.patch
BuildArch:      noarch
BuildRequires:  po4a
BuildRequires:  dpkg
BuildRequires:  perl(Dpkg)
Requires:       binutils
Requires:       html2text
Requires:       perl
Requires:       po-debconf
Requires:       dpkg
Requires:       perl(Dpkg)

%description
A collection of programs that can be used in a Debian rules file
to automate common tasks related to building Debian packages.
Programs are included to install various files into your package,
compress files, fix file permissions, integrate your package with
the Debian menu system, debconf, doc-base, etc. Most Debian
packages use debhelper as part of their build process.

%prep
%setup -qn %{name}
%patch0 -p1

%build
%make_build

%install
%make_install

mkdir -p %{buildroot}/%{_mandir}/{,es,fr}/man{1,7}/

for lang in es fr; do
    for level in 1 7; do
        mv ./*.$lang.$level %{buildroot}/%{_mandir}/$lang/man$level/ || :
    done
done

install -m 644 ./*.1 %{buildroot}/%{_mandir}/man1
install -m 644 ./*.7 %{buildroot}/%{_mandir}/man7

%find_lang debhelper --with-man

%files
%doc examples/ doc/
%{_mandir}/es/man1/*
%{_mandir}/fr/man1/*
%{_mandir}/fr/man7/*
%{_mandir}/man1/*
%{_mandir}/man7/*
%{_bindir}/dh*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/autoscripts
%dir %{perl_vendorlib}/Debian
%{perl_vendorlib}/Debian/Debhelper


%changelog
* Wed Dec 20 2017 Zen Subz <techars21 at gmail dot com> - 9.20160814-1pclos2017
- Build for PCLinuxOS
